[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplicationProperties.SetOnIdle

Sets the value for the OnIdle property.

## Declaration

Source position: forms.pp line 1846

`protected procedure TApplicationProperties.SetOnIdle(`
`const AValue: TIdleEvent`
`);`

## Arguments

`AValue` |  | New value for the property.

## See also

TApplicationProperties.OnIdle |  | Event handler signalled when the application enters the idle state.